SimpsonIntegral Class Reference

Integral of a one-dimensional function. More...

`#include <ql/math/integrals/simpsonintegral.hpp>`

Inheritance diagram for SimpsonIntegral:
[legend]

## Public Member Functions

| SimpsonIntegral (Real accuracy, Size maxIterations)
Public Member Functions inherited from TrapezoidIntegral< Default >
| TrapezoidIntegral (Real accuracy, Size maxIterations)

## Protected Member Functions

Real | integrate (const ext::function< Real(Real)> &f, Real a, Real b) const
Protected Member Functions inherited from TrapezoidIntegral< Default >
Real | integrate (const ext::function< Real(Real)> &f, Real a, Real b) const

## Detailed Description

Integral of a one-dimensional function.

Tests:
  the correctness of the result is tested by checking it against known good values.